
DROP TABLE IF EXISTS p20_pdm.t01_livechat_record;
CREATE TABLE IF NOT EXISTS p20_pdm.t01_livechat_record (
	 livechat_leads_id  varchar(20) 
	, chat_creation_time  timestamp(0) 
	, chat_start_time  timestamp(0) 
	, chat_start_url  text 
	, chat_referrer_url  text 
	, chat_duration  int 
	, queue_duration  int 
	, visitor_livechat_id  varchar(100) 
	, visitor_nick  varchar(50) 
	, visitor_ip  varchar(20) 
	, visitor_email  varchar(50) 
	, last_operator_id  varchar(50) 
	, group_id  varchar(100) 
	, group_name  varchar(100) 
	, rate  varchar(20) 
	, rate_comment  text 
	, operator_1_nick  varchar(50) 
	, operator_2_nick  varchar(50) 
	, operator_3_nick  varchar(50) 
	, operator_4_nick  varchar(50) 
	, operator_5_nick  varchar(50) 
	, operator_6_nick  varchar(50) 
	, operator_7_nick  varchar(50) 
	, operator_8_nick  varchar(50) 
	, operator_9_nick  varchar(50) 
	, operator_10_nick  varchar(50) 
	, operator_11_nick  varchar(50) 
	, operator_1_id  varchar(50) 
	, operator_2_id  varchar(50) 
	, operator_3_id  varchar(50) 
	, operator_4_id  varchar(50) 
	, operator_5_id  varchar(50) 
	, operator_6_id  varchar(50) 
	, operator_7_id  varchar(50) 
	, operator_8_id  varchar(50) 
	, operator_9_id  varchar(50) 
	, operator_10_id  varchar(50) 
	, operator_11_id  varchar(50) 
	, operator_1_time_zone  varchar(20) 
	, operator_2_time_zone  varchar(20) 
	, operator_3_time_zone  varchar(20) 
	, operator_4_time_zone  varchar(20) 
	, operator_5_time_zone  varchar(20) 
	, operator_6_time_zone  varchar(20) 
	, operator_7_time_zone  varchar(20) 
	, operator_8_time_zone  varchar(20) 
	, operator_9_time_zone  varchar(20) 
	, operator_10_time_zone  varchar(20) 
	, operator_11_time_zone  varchar(20) 
	, pre_chat_service  varchar(50) 
	, pre_chat_name  varchar(20) 
	, pre_chat_contact  varchar(20) 
	, pre_chat_email  varchar(50) 
	, pre_chat_company  varchar(50) 
	, pre_chat_service_t  varchar(50) 
	, pre_chat_email_t  varchar(50) 
	, pre_chat_contact_t  varchar(20) 
	, pre_chat_company_t  varchar(50) 
	, pre_chat_name_j  varchar(20) 
	, pre_chat_email_j  varchar(50) 
	, pre_chat_private_policy  varchar(10) 
	, pre_chat_know_policy  varchar(10) 
	, pre_chat_agree_policy  varchar(10) 
	, pre_chat_agree_policy_k  varchar(10) 
	, pre_chat_agree_for_sale  varchar(10) 
	, pre_chat_company_k  varchar(50) 
	, pre_chat_name_k  varchar(20) 
	, pre_chat_contact_k  varchar(20) 
	, pre_chat_email_k  varchar(50) 
	, pre_chat_service_k  varchar(20) 
	, pre_chat_contact_2  varchar(20) 
	, pre_chat_contact_3  varchar(20) 
	, post_chat_first  varchar(10) 
	, post_chat_where_chat  varchar(50) 
	, post_chat_help  varchar(10) 
	, post_chat_where_2  varchar(50) 
	, post_chat_first_j  varchar(10) 
	, post_chat_help_j  varchar(10) 
	, post_chat_message_j  text 
	, auto_invite_url  varchar(50) 
	, auto_invite_action  varchar(50) 
	, goal_action_name  varchar(50) 
	, goal_done_by  varchar(50) 
	, goal_done_time  timestamp(0) 
	, tag_1  varchar(50) 
	, tag_2  varchar(50) 
	, tag_3  varchar(50) 
	, tag_4  varchar(50) 
	, tag_5  varchar(50) 
	, cust_var_1_name  varchar(50) 
	, cust_var_1_value  varchar(50) 
	, first_response_time  text 
	, average_response_time  int 
	, agents_chatting_duration  int 
	, visitor_user_agent  varchar(200) 
	, group_status_at_start  varchar(20) 
	, visitor_country_code  varchar(2) 
	, Etl_Batch_No  varchar(50) 
	, Etl_First_Dt  timestamp(0) 
	, Etl_Job  varchar(50) 
	, Etl_Proc_Dt  timestamp(0) 
	, Etl_Tx_Dt  timestamp(0) 
	, Src_Sysname  varchar(50) 
	, Src_Table  varchar(50) 
	,primary key( livechat_leads_id )
);

 COMMENT ON COLUMN p20_pdm.t01_livechat_record.livechat_leads_id IS 'livechat线索编号'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.chat_creation_time IS '聊天创建时间'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.chat_start_time IS '聊天开始时间'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.chat_start_url IS '聊天开始url'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.chat_referrer_url IS '聊天上级url'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.chat_duration IS '聊天持续时长'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.queue_duration IS '排队时长'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.visitor_livechat_id IS '访客聊天编号'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.visitor_nick IS '访客昵称'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.visitor_ip IS '访客IP'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.visitor_email IS '访客邮箱'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.last_operator_id IS '最后操作者'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.group_id IS '责任组编号'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.group_name IS '责任组名称'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.rate IS '评价'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.rate_comment IS '评价描述'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.operator_1_nick IS '操作者1昵称'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.operator_2_nick IS '操作者2昵称'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.operator_3_nick IS '操作者3昵称'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.operator_4_nick IS '操作者4昵称'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.operator_5_nick IS '操作者5昵称'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.operator_6_nick IS '操作者6昵称'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.operator_7_nick IS '操作者7昵称'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.operator_8_nick IS '操作者8昵称'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.operator_9_nick IS '操作者9昵称'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.operator_10_nick IS '操作者10昵称'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.operator_11_nick IS '操作者11昵称'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.operator_1_id IS '操作者1编号'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.operator_2_id IS '操作者2编号'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.operator_3_id IS '操作者3编号'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.operator_4_id IS '操作者4编号'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.operator_5_id IS '操作者5编号'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.operator_6_id IS '操作者6编号'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.operator_7_id IS '操作者7编号'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.operator_8_id IS '操作者8编号'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.operator_9_id IS '操作者9编号'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.operator_10_id IS '操作者10编号'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.operator_11_id IS '操作者11编号'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.operator_1_time_zone IS '操作者1时区'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.operator_2_time_zone IS '操作者2时区'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.operator_3_time_zone IS '操作者3时区'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.operator_4_time_zone IS '操作者4时区'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.operator_5_time_zone IS '操作者5时区'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.operator_6_time_zone IS '操作者6时区'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.operator_7_time_zone IS '操作者7时区'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.operator_8_time_zone IS '操作者8时区'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.operator_9_time_zone IS '操作者9时区'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.operator_10_time_zone IS '操作者10时区'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.operator_11_time_zone IS '操作者11时区'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.pre_chat_service IS '需要服务类型'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.pre_chat_name IS '姓名'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.pre_chat_contact IS '联系方式'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.pre_chat_email IS '邮箱'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.pre_chat_company IS '公司名'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.pre_chat_service_t IS '需要服务类型(繁体)'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.pre_chat_email_t IS '邮箱（繁体）'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.pre_chat_contact_t IS '联系方式(繁体）'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.pre_chat_company_t IS '公司名（繁体）'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.pre_chat_name_j IS '姓名（日文）'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.pre_chat_email_j IS '邮箱（日文）'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.pre_chat_private_policy IS '同意隐私政策标志'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.pre_chat_know_policy IS '同意数据境外传输标志'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.pre_chat_agree_policy IS '同意收集数据标志'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.pre_chat_agree_policy_k IS '同意收集数据标志(韩语)'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.pre_chat_agree_for_sale IS '同意数据用于营销标志'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.pre_chat_company_k IS '公司（韩语）'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.pre_chat_name_k IS '姓名（韩语）'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.pre_chat_contact_k IS '联系方式（韩语）'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.pre_chat_email_k IS '邮箱（韩语）'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.pre_chat_service_k IS '需要服务类型（韩语）'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.pre_chat_contact_2 IS '联系方式2'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.pre_chat_contact_3 IS '联系方式3'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.post_chat_first IS '第一次聊天标志'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.post_chat_where_chat IS '聊天来源'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.post_chat_help IS '问题解决标志'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.post_chat_where_2 IS '聊天来源2'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.post_chat_first_j IS '第一次聊天标志（日语）'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.post_chat_help_j IS '问题解决标志（日语）'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.post_chat_message_j IS '聊天信息'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.auto_invite_url IS '自动邀请网址'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.auto_invite_action IS '自动邀请事件'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.goal_action_name IS '目标事件名称'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.goal_done_by IS '目标完成人'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.goal_done_time IS '目标完成时间'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.tag_1 IS '标签1'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.tag_2 IS '标签2'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.tag_3 IS '标签3'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.tag_4 IS '标签4'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.tag_5 IS '标签5'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.cust_var_1_name IS '客户参数1名称'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.cust_var_1_value IS '客户参数1值'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.first_response_time IS '首次相应时间'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.average_response_time IS '平均响应时间'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.agents_chatting_duration IS '坐席聊天时长'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.visitor_user_agent IS '访问者代理'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.group_status_at_start IS '开始时组状态'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.visitor_country_code IS '访客国家代码'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.Etl_Batch_No IS '作业批次号'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.Etl_First_Dt IS '最初入库时间'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.Etl_Job IS '作业名称'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.Etl_Proc_Dt IS '本次入库时间'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.Etl_Tx_Dt IS '作业运行时间'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.Src_Sysname IS '来源系统'; 
 COMMENT ON COLUMN p20_pdm.t01_livechat_record.Src_Table IS '来源表'; 

COMMENT ON TABLE p20_pdm.t01_livechat_record IS '即时聊天记录';